Index: /inundation/ga/storm_surge/pyvolution/test_least_squares.py
===================================================================
--- /inundation/ga/storm_surge/pyvolution/test_least_squares.py	(revision 1017)
+++ /inundation/ga/storm_surge/pyvolution/test_least_squares.py	(revision 1018)
@@ -11,16 +11,16 @@
 
 def distance(x, y):
-    return sqrt( sum( (array(x)-array(y))**2 ))		
+    return sqrt( sum( (array(x)-array(y))**2 ))
 
 def linear_function(point):
     point = array(point)
     return point[:,0]+point[:,1]
-    
-        
-class TestCase(unittest.TestCase):
+
+
+class Test_Least_Squares(unittest.TestCase):
 
     def setUp(self):
         pass
-        
+
     def tearDown(self):
         pass
@@ -33,9 +33,9 @@
         vertices = [ [1,0,2] ]   #bac
 
-        data = [ [2.0/3, 2.0/3] ] #Use centroid as one data point        
-        
+        data = [ [2.0/3, 2.0/3] ] #Use centroid as one data point
+
         interp = Interpolation(points, vertices, data)
-        assert allclose(interp.get_A(), [[1./3, 1./3, 1./3]]) 
-        
+        assert allclose(interp.get_A(), [[1./3, 1./3, 1./3]])
+
 
     def test_quad_tree(self):
@@ -50,5 +50,5 @@
         p8 = [-66.0, 20.0]
         p9 = [10.0, -66.0]
-        
+
         points = [p0, p1, p2, p3, p4, p5, p6, p7, p8, p9]
         triangles = [ [0, 1, 2],
@@ -60,7 +60,7 @@
                       [7, 4, 5],
                       [8, 0, 2],
-                      [0, 9, 1]]   
-
-        data = [ [4,4] ] 
+                      [0, 9, 1]]
+
+        data = [ [4,4] ]
         interp = Interpolation(points, triangles, data, alpha = 0.0,
                                max_points_per_cell = 4)
@@ -75,5 +75,5 @@
         assert allclose(interp.get_A(), answer)
 
-        
+
         #point outside of quad tree root cell
         interp.set_point_coordinates([[-70, -70]])
@@ -82,5 +82,5 @@
                       0., 0. , 0., 0., 0., 0.]]
         assert allclose(interp.get_A(), answer)
-     
+
     def test_expand_search(self):
         p0 = [-10.0, -10.0]
@@ -94,5 +94,5 @@
         p8 = [-66.0, 20.0]
         p9 = [10.0, -66.0]
-        
+
         points = [p0, p1, p2, p3, p4, p5, p6, p7, p8, p9]
         triangles = [ [0, 1, 2],
@@ -104,5 +104,5 @@
                       [7, 4, 5],
                       [8, 0, 2],
-                      [0, 9, 1]]   
+                      [0, 9, 1]]
 
         data = [ [4,4],
@@ -134,5 +134,5 @@
                  [50,50],
                  [30,0],
-                 [-20,-20]] 
+                 [-20,-20]]
         point_attributes = [ -400000,
                      10,
@@ -163,6 +163,6 @@
                      10,
                    10,
-                   99] 
-        
+                   99]
+
         interp = Interpolation(points, triangles, data,
                                alpha=0.0, expand_search=False, #verbose = True, #False,
@@ -170,5 +170,5 @@
         calc = interp.fit_points(point_attributes, )
         #print "calc",calc
-        
+
         # the point at 4,4 is ignored.  An expanded search has to be done
         # to fine which triangel it's in.
@@ -194,5 +194,5 @@
         p4 = [10.0, 60.0]
         p5 = [60.0, 60.0]
-        
+
         points = [p0, p1, p2, p3, p4, p5]
         triangles = [ [0, 1, 2],
@@ -201,5 +201,5 @@
                       [0, 2, 4],
                       [4, 2, 5],
-                      [5, 2, 3]]   
+                      [5, 2, 3]]
 
         data = [ [-26.0,-26.0] ]
@@ -216,5 +216,5 @@
         assert allclose(interp.get_A(), answer)
 
-        
+
         #point outside of quad tree root cell
         interp.set_point_coordinates([[-70, -70]])
@@ -223,10 +223,10 @@
                       0., 0. ]]
         assert allclose(interp.get_A(), answer)
-           
+
 
     def test_datapoints_at_vertices(self):
         """Test that data points coinciding with vertices yield a diagonal matrix
         """
-        
+
         a = [0.0, 0.0]
         b = [0.0, 2.0]
@@ -235,11 +235,11 @@
         vertices = [ [1,0,2] ]   #bac
 
-        data = points #Use data at vertices        
-        
+        data = points #Use data at vertices
+
         interp = Interpolation(points, vertices, data)
         assert allclose(interp.get_A(), [[1., 0., 0.],
                                    [0., 1., 0.],
-                                   [0., 0., 1.]]) 
-        
+                                   [0., 0., 1.]])
+
 
 
@@ -248,5 +248,5 @@
         each point should affect two matrix entries equally
         """
-        
+
         a = [0.0, 0.0]
         b = [0.0, 2.0]
@@ -256,8 +256,8 @@
 
         data = [ [0., 1.], [1., 0.], [1., 1.] ]
-        
+
         interp = Interpolation(points, vertices, data)
-        
-        assert allclose(interp.get_A(), [[0.5, 0.5, 0.0],  #Affects vertex 1 and 0   
+
+        assert allclose(interp.get_A(), [[0.5, 0.5, 0.0],  #Affects vertex 1 and 0
                                    [0.5, 0.0, 0.5],  #Affects vertex 0 and 2
                                    [0.0, 0.5, 0.5]]) #Affects vertex 1 and 2
@@ -268,5 +268,5 @@
         each point should affect two matrix entries in proportion
         """
-        
+
         a = [0.0, 0.0]
         b = [0.0, 2.0]
@@ -276,7 +276,7 @@
 
         data = [ [0., 1.5], [1.5, 0.], [1.5, 0.5] ]
-        
+
         interp = Interpolation(points, vertices, data)
-        
+
         assert allclose(interp.get_A(), [[0.25, 0.75, 0.0],  #Affects vertex 1 and 0
                                    [0.25, 0.0, 0.75],  #Affects vertex 0 and 2
@@ -288,5 +288,5 @@
 
         from Numeric import sum
-        
+
         a = [0.0, 0.0]
         b = [0.0, 2.0]
@@ -296,9 +296,9 @@
 
         data = [ [0.2, 1.5], [0.123, 1.768], [1.43, 0.44] ]
-        
+
         interp = Interpolation(points, vertices, data)
         #print "interp.get_A()", interp.get_A()
         assert allclose(sum(interp.get_A(), axis=1), 1.0)
-        
+
     def test_arbitrary_datapoints_some_outside(self):
         """Try arbitrary datapoints one outside the triangle.
@@ -307,5 +307,5 @@
 
         from Numeric import sum
-        
+
         a = [0.0, 0.0]
         b = [0.0, 2.0]
@@ -322,10 +322,10 @@
         interp = Interpolation(points, vertices, data, precrop = False)
         assert allclose(sum(interp.get_A(), axis=1), [1,1,1,0])
-        
-        
-
-    # this causes a memory error in scipy.sparse       
+
+
+
+    # this causes a memory error in scipy.sparse
     def test_more_triangles(self):
-        
+
         a = [-1.0, 0.0]
         b = [3.0, 4.0]
@@ -340,7 +340,7 @@
         #Data points
         data_points = [ [-3., 2.0], [-2, 1], [0.0, 1], [0, 3], [2, 3], [-1.0/3,-4./3] ]
-        interp = Interpolation(points, triangles, data_points) 
-
-        answer = [[0.0, 0.0, 0.0, 1.0, 0.0, 0.0],    #Affects point d     
+        interp = Interpolation(points, triangles, data_points)
+
+        answer = [[0.0, 0.0, 0.0, 1.0, 0.0, 0.0],    #Affects point d
                   [0.5, 0.0, 0.0, 0.5, 0.0, 0.0],    #Affects points a and d
                   [0.75, 0.25, 0.0, 0.0, 0.0, 0.0],  #Affects points a and b
@@ -354,5 +354,5 @@
             for j in range(A.shape[1]):
                 if not allclose(A[i,j], answer[i][j]):
-                    print i,j,':',A[i,j], answer[i][j] 
+                    print i,j,':',A[i,j], answer[i][j]
 
 
@@ -368,5 +368,5 @@
         points = [a, b, c]
         triangles = [ [1,0,2] ]   #bac
-         
+
         d1 = [1.0, 1.0]
         d2 = [1.0, 3.0]
@@ -375,6 +375,6 @@
         z2 = 4
         z3 = 4
-        data_coords = [d1, d2, d3] 
-        
+        data_coords = [d1, d2, d3]
+
         interp = Interpolation(points, triangles, data_coords, alpha=5.0e-20)
         z = [z1, z2, z3]
@@ -384,10 +384,10 @@
         #print "f\n",f
         #print "answer\n",answer
-        
+
         assert allclose(f, answer, atol=1e-7)
-        
-        
+
+
     def test_smooth_att_to_meshII(self):
-        
+
         a = [0.0, 0.0]
         b = [0.0, 5.0]
@@ -395,18 +395,18 @@
         points = [a, b, c]
         triangles = [ [1,0,2] ]   #bac
-         
+
         d1 = [1.0, 1.0]
         d2 = [1.0, 2.0]
         d3 = [3.0,1.0]
-        data_coords = [d1, d2, d3]       
+        data_coords = [d1, d2, d3]
         z = linear_function(data_coords)
         interp = Interpolation(points, triangles, data_coords, alpha=0.0)
         f = interp.fit(z)
         answer = linear_function(points)
-        
+
         assert allclose(f, answer)
-    
+
     def test_smooth_attributes_to_meshIII(self):
-        
+
         a = [-1.0, 0.0]
         b = [3.0, 4.0]
@@ -441,10 +441,10 @@
         #print "answer\n",answer
         assert allclose(f, answer)
-        
+
 
     def test_smooth_attributes_to_meshIV(self):
         """ Testing 2 attributes smoothed to the mesh
         """
-        
+
         a = [0.0, 0.0]
         b = [0.0, 5.0]
@@ -452,5 +452,5 @@
         points = [a, b, c]
         triangles = [ [1,0,2] ]   #bac
-         
+
         d1 = [1.0, 1.0]
         d2 = [1.0, 3.0]
@@ -459,6 +459,6 @@
         z2 = [4, 8]
         z3 = [4, 8]
-        data_coords = [d1, d2, d3] 
-        
+        data_coords = [d1, d2, d3]
+
         interp = Interpolation(points, triangles, data_coords, alpha=0.0)
         z = [z1, z2, z3]
@@ -466,27 +466,27 @@
         answer = [[0,0], [5., 10.], [5., 10.]]
         assert allclose(f, answer)
-        
+
     def test_interpolate_attributes_to_points(self):
         v0 = [0.0, 0.0]
         v1 = [0.0, 5.0]
         v2 = [5.0, 0.0]
-        
+
         vertices = [v0, v1, v2]
         triangles = [ [1,0,2] ]   #bac
-         
+
         d0 = [1.0, 1.0]
         d1 = [1.0, 2.0]
         d2 = [3.0, 1.0]
         point_coords = [ d0, d1, d2]
-        
+
         interp = Interpolation(vertices, triangles, point_coords)
         f = linear_function(vertices)
         z = interp.interpolate(f)
         answer = linear_function(point_coords)
-        
+
 
         assert allclose(z, answer)
 
-       
+
     def test_interpolate_attributes_to_pointsII(self):
         a = [-1.0, 0.0]
@@ -500,5 +500,5 @@
         triangles = [[0,1,3], [1,0,2], [0,4,5], [0,5,2]] #abd bac aef afc
 
-         
+
         point_coords = [[-2.0, 2.0],
                         [-1.0, 1.0],
@@ -513,5 +513,5 @@
                         [0.5, -1.9],
                         [3.0, 1.0]]
-        
+
         interp = Interpolation(vertices, triangles, point_coords)
         f = linear_function(vertices)
@@ -521,5 +521,5 @@
         #print "answer",answer
         assert allclose(z, answer)
-    
+
     def test_interpolate_attributes_to_pointsIII(self):
         """Test linear interpolation of known values at vertices to
@@ -530,5 +530,5 @@
         c = [5.0, 0.0]
         d = [5.0, 5.0]
-        
+
         vertices = [a, b, c, d]
         triangles = [ [1,0,2], [2,3,0] ]   #bac, cdb
@@ -545,20 +545,20 @@
         d4 = [2.5, 2.5]
         d5 = [4.0, 1.0]
-         
+
         #Point on common vertex
         d6 = [0., 5.]
 
-        
+
         point_coords = [d0, d1, d2, d3, d4, d5, d6]
-        
+
         interp = Interpolation(vertices, triangles, point_coords)
 
         #Known values at vertices
-        #Functions are x+y, x+2y, 2x+y, x-y-5        
-        f = [ [0., 0., 0., -5.],        # (0,0)    
+        #Functions are x+y, x+2y, 2x+y, x-y-5
+        f = [ [0., 0., 0., -5.],        # (0,0)
               [5., 10., 5., -10.],      # (0,5)
               [5., 5., 10.0, 0.],       # (5,0)
               [10., 15., 15., -5.]]     # (5,5)
-         
+
         z = interp.interpolate(f)
         answer = [ [2., 3., 3., -5.],   # (1,1)
@@ -576,5 +576,5 @@
 
         assert allclose(z, answer)
-   
+
     def test_interpolate_attributes_to_pointsIV(self):
         a = [-1.0, 0.0]
@@ -588,5 +588,5 @@
         triangles = [[0,1,3], [1,0,2], [0,4,5], [0,5,2]] #abd bac aef afc
 
-         
+
         point_coords = [[-2.0, 2.0],
                         [-1.0, 1.0],
@@ -601,5 +601,5 @@
                         [0.5, -1.9],
                         [3.0, 1.0]]
-        
+
         interp = Interpolation(vertices, triangles, point_coords)
         f = array([linear_function(vertices),2*linear_function(vertices) ])
@@ -607,5 +607,5 @@
         #print "f",f
         z = interp.interpolate(f)
-        answer = [linear_function(point_coords),             
+        answer = [linear_function(point_coords),
                   2*linear_function(point_coords) ]
         answer = transpose(answer)
@@ -613,9 +613,9 @@
         #print "answer",answer
         assert allclose(z, answer)
-        
+
     def test_smooth_attributes_to_mesh_function(self):
         """ Testing 2 attributes smoothed to the mesh
         """
-        
+
         a = [0.0, 0.0]
         b = [0.0, 5.0]
@@ -623,5 +623,5 @@
         points = [a, b, c]
         triangles = [ [1,0,2] ]   #bac
-         
+
         d1 = [1.0, 1.0]
         d2 = [1.0, 3.0]
@@ -632,12 +632,12 @@
         data_coords = [d1, d2, d3]
         z = [z1, z2, z3]
-        
+
         f = fit_to_mesh(points, triangles, data_coords, z, alpha=0.0)
         answer = [[0, 0], [5., 10.], [5., 10.]]
-        
+
         assert allclose(f, answer)
 
 
-	
+
     def test_pts2rectangular(self):
 
@@ -645,18 +645,18 @@
         FN = 'xyatest' + str(time.time()) + '.xya'
     	fid = open(FN, 'w')
-	fid.write(' %s \n' %('elevation'))        
+	fid.write(' %s \n' %('elevation'))
 	fid.write('%f %f %f\n' %(1,1,2) )
 	fid.write('%f %f %f\n' %(1,3,4) )
-	fid.write('%f %f %f\n' %(3,1,4) )		
+	fid.write('%f %f %f\n' %(3,1,4) )
 	fid.close()
-	
+
 	points, triangles, boundary, attributes =\
                 pts2rectangular(FN, 4, 4, format = 'asc')
-	
+
 
         data_coords = [ [1,1], [1,3], [3,1] ]
         z = [2, 4, 4]
 
-        ref = fit_to_mesh(points, triangles, data_coords, z)		
+        ref = fit_to_mesh(points, triangles, data_coords, z)
 
         #print attributes
@@ -665,7 +665,7 @@
 
         os.remove(FN)
-	
-
-    #Tests of smoothing matrix    
+
+
+    #Tests of smoothing matrix
     def test_smoothing_matrix_one_triangle(self):
         from Numeric import dot
@@ -674,5 +674,5 @@
         c = [2.0,0.0]
         points = [a, b, c]
-        
+
         vertices = [ [1,0,2] ]   #bac
 
@@ -689,5 +689,5 @@
         #           int 1 dx dy = area = 2
         assert dot(dot(f, interp.get_D()), f) == 2
-        
+
         #Define f(x,y) = y
         f = array([0,2,0])  #Value at global vertex 1
@@ -702,11 +702,11 @@
         #Check that int (df/dx)**2 + (df/dy)**2 dx dy =
         #           int 2 dx dy = 2*area = 4
-        assert dot(dot(f, interp.get_D()), f) == 4        
-        
+        assert dot(dot(f, interp.get_D()), f) == 4
+
 
 
     def test_smoothing_matrix_more_triangles(self):
         from Numeric import dot
-        
+
         a = [0.0, 0.0]
         b = [0.0, 2.0]
@@ -717,5 +717,5 @@
 
         points = [a, b, c, d, e, f]
-        #bac, bce, ecf, dbe, daf, dae 
+        #bac, bce, ecf, dbe, daf, dae
         vertices = [ [1,0,2], [1,2,4], [4,2,5], [3,1,4]]
 
@@ -728,12 +728,12 @@
 
         #Define f(x,y) = x
-        f = array([0,0,2,0,2,4]) #f evaluated at points a-f 
+        f = array([0,0,2,0,2,4]) #f evaluated at points a-f
 
         #Check that int (df/dx)**2 + (df/dy)**2 dx dy =
         #           int 1 dx dy = total area = 8
         assert dot(dot(f, interp.get_D()), f) == 8
-        
+
         #Define f(x,y) = y
-        f = array([0,2,0,4,2,0]) #f evaluated at points a-f 
+        f = array([0,2,0,4,2,0]) #f evaluated at points a-f
 
         #Check that int (df/dx)**2 + (df/dy)**2 dx dy =
@@ -742,14 +742,14 @@
 
         #Define f(x,y) = x+y
-        f = array([0,2,2,4,4,4])  #f evaluated at points a-f   
+        f = array([0,2,2,4,4,4])  #f evaluated at points a-f
 
         #Check that int (df/dx)**2 + (df/dy)**2 dx dy =
         #           int 2 dx dy = 2*area = 16
-        assert dot(dot(f, interp.get_D()), f) == 16        
+        assert dot(dot(f, interp.get_D()), f) == 16
 
 
     def test_fit_and_interpolation(self):
         from mesh import Mesh
-        
+
         a = [0.0, 0.0]
         b = [0.0, 2.0]
@@ -760,5 +760,5 @@
 
         points = [a, b, c, d, e, f]
-        #bac, bce, ecf, dbe, daf, dae 
+        #bac, bce, ecf, dbe, daf, dae
         triangles = [[1,0,2], [1,2,4], [4,2,5], [3,1,4]]
 
@@ -773,9 +773,9 @@
                        [ 1.0, 1.0],
                        [ 1.0, 2.0],
-                       [ 1.0, 3.0],                                          
+                       [ 1.0, 3.0],
                        [ 2.0, 1.0],
                        [ 3.0, 0.0],
-                       [ 3.0, 1.0]]                                          
-        
+                       [ 3.0, 1.0]]
+
         interp = Interpolation(points, triangles, data_points, alpha=0.0)
 
@@ -797,5 +797,5 @@
 
     def test_smoothing_and_interpolation(self):
-        
+
         a = [0.0, 0.0]
         b = [0.0, 2.0]
@@ -806,5 +806,5 @@
 
         points = [a, b, c, d, e, f]
-        #bac, bce, ecf, dbe, daf, dae 
+        #bac, bce, ecf, dbe, daf, dae
         triangles = [[1,0,2], [1,2,4], [4,2,5], [3,1,4]]
 
@@ -816,9 +816,9 @@
 
         z = linear_function(data_points)
-        answer = linear_function(points)        
+        answer = linear_function(points)
 
         #Make interpolator with too few data points and no smoothing
         interp = Interpolation(points, triangles, data_points, alpha=0.0)
-        #Must raise an exception        
+        #Must raise an exception
         try:
             f = interp.fit(z)
@@ -828,5 +828,5 @@
         #Now try with smoothing parameter
         interp = Interpolation(points, triangles, data_points, alpha=1.0e-13)
-        
+
         f = interp.fit(z)
         #f will be different from answerr due to smoothing
@@ -855,5 +855,5 @@
 
         points = [a, b, c, d, e, f]
-        #bac, bce, ecf, dbe, daf, dae 
+        #bac, bce, ecf, dbe, daf, dae
         triangles = [[1,0,2], [1,2,4], [4,2,5], [3,1,4]]
 
@@ -869,5 +869,5 @@
                         [ 15, -17],   #Outside mesh
                         [ 1.0, 2.0],
-                        [ 1.0, 3.0],                                          
+                        [ 1.0, 3.0],
                         [ 2.0, 1.0],
                         [ 3.0, 0.0],
@@ -889,6 +889,6 @@
                         [ 1.0, 0.5],
                         [ 2.0, 0.4],
-                        [ 2.8, 1.2]]                                          
-        
+                        [ 2.8, 1.2]]
+
 
 
@@ -907,5 +907,5 @@
         import Numeric
         z1 = Numeric.take(z1, [0,1,2,4,5,6])
-        answer = Numeric.take(answer, [0,1,2,4,5,6])                
+        answer = Numeric.take(answer, [0,1,2,4,5,6])
         assert allclose(z1, answer)
 
@@ -942,5 +942,5 @@
 
         points = [a, b, c, d, e, f]
-        #bac, bce, ecf, dbe, daf, dae 
+        #bac, bce, ecf, dbe, daf, dae
         triangles = [[1,0,2], [1,2,4], [4,2,5], [3,1,4]]
 
@@ -955,5 +955,5 @@
                         [ 1.0, 1.0],
                         [ 1.0, 2.0],
-                        [ 1.0, 3.0],                                          
+                        [ 1.0, 3.0],
                         [ 2.0, 1.0],
                         [ 3.0, 0.0],
@@ -963,5 +963,5 @@
         #First check that things are OK when using same origin
         mesh_origin = (56, 290000, 618000) #zone, easting, northing
-        data_origin = (56, 290000, 618000) #zone, easting, northing 
+        data_origin = (56, 290000, 618000) #zone, easting, northing
 
 
@@ -971,5 +971,5 @@
                                data_origin = data_origin,
                                mesh_origin = mesh_origin)
-        
+
         z = linear_function(data_points1) #Example z-values
         f = interp.fit(z)                 #Fitted values at vertices
@@ -982,6 +982,6 @@
                         [ 1.0, 0.5],
                         [ 2.0, 0.4],
-                        [ 2.8, 1.2]]                                          
-        
+                        [ 2.8, 1.2]]
+
 
         #Build new A matrix based on new points
@@ -1000,7 +1000,7 @@
         #Then check situtaion where points are relative to a different
         #origin (same zone, though, until we figure that out (FIXME))
-        
+
         mesh_origin = (56, 290000, 618000) #zone, easting, northing
-        data_origin = (56, 10000, 10000) #zone, easting, northing 
+        data_origin = (56, 10000, 10000) #zone, easting, northing
 
         #Shift datapoints according to new origin
@@ -1012,8 +1012,8 @@
         for k in range(len(data_points2)):
             data_points2[k][0] += mesh_origin[1] - data_origin[1]
-            data_points2[k][1] += mesh_origin[2] - data_origin[2]            
-
-
-        
+            data_points2[k][1] += mesh_origin[2] - data_origin[2]
+
+
+
         #Fit surface to mesh
         interp = Interpolation(points, triangles, data_points1,
@@ -1021,5 +1021,5 @@
                                data_origin = data_origin,
                                mesh_origin = mesh_origin)
-        
+
         f1 = interp.fit(z) #Fitted values at vertices (using same z as before)
 
@@ -1055,8 +1055,8 @@
     def test_fit_to_mesh_file(self):
         from load_mesh.loadASCII import mesh_file_to_mesh_dictionary, \
-             export_mesh_file    
+             export_mesh_file
         import tempfile
         import os
-        
+
         # create a .tsh file, no user outline
         mesh_dic = {}
@@ -1072,8 +1072,8 @@
         mesh_dic['segment_tags'] = ['external',
                                                   'external',
-                                                  'external']       
+                                                  'external']
         mesh_file = tempfile.mktemp(".tsh")
         export_mesh_file(mesh_file,mesh_dic)
-        
+
         # create an .xya file
         point_file = tempfile.mktemp(".xya")
@@ -1081,33 +1081,33 @@
         fd.write("elevation, stage \n 1.0, 1.0,2.,4 \n 1.0, 3.0,4,8 \n 3.0,1.0,4.,8 \n")
         fd.close()
-        
+
         mesh_output_file = "new_trianlge.tsh"
         fit_to_mesh_file(mesh_file,
                          point_file,
                          mesh_output_file,
-                         alpha = 0.0)  
+                         alpha = 0.0)
         # load in the .tsh file we just wrote
         mesh_dic = mesh_file_to_mesh_dictionary(mesh_output_file)
-        #print "mesh_dic",mesh_dic 
+        #print "mesh_dic",mesh_dic
         ans =[[0.0, 0.0],
               [5.0, 10.0],
               [5.0,10.0]]
         assert allclose(mesh_dic['vertex_attributes'],ans)
-        
+
         self.failUnless(mesh_dic['vertex_attribute_titles']  ==
                         ['elevation','stage'],
                         'test_fit_to_mesh_file failed')
-        
+
         #clean up
         os.remove(mesh_file)
         os.remove(point_file)
-        os.remove(mesh_output_file)        
-        
+        os.remove(mesh_output_file)
+
     def test_fit_to_mesh_fileII(self):
         from load_mesh.loadASCII import mesh_file_to_mesh_dictionary, \
-             export_mesh_file    
+             export_mesh_file
         import tempfile
         import os
-        
+
         # create a .tsh file, no user outline
         mesh_dic = {}
@@ -1123,8 +1123,8 @@
         mesh_dic['segment_tags'] = ['external',
                                                   'external',
-                                                  'external']       
+                                                  'external']
         mesh_file = tempfile.mktemp(".tsh")
         export_mesh_file(mesh_file,mesh_dic)
-        
+
         # create an .xya file
         point_file = tempfile.mktemp(".xya")
@@ -1132,10 +1132,10 @@
         fd.write("elevation, stage \n 1.0, 1.0,2.,4 \n 1.0, 3.0,4,8 \n 3.0,1.0,4.,8 \n")
         fd.close()
-        
+
         mesh_output_file = "new_triangle.tsh"
         fit_to_mesh_file(mesh_file,
                          point_file,
                          mesh_output_file,
-                         alpha = 0.0)  
+                         alpha = 0.0)
         # load in the .tsh file we just wrote
         mesh_dic = mesh_file_to_mesh_dictionary(mesh_output_file)
@@ -1145,19 +1145,19 @@
                          [1.0, 2.0,5.0, 10.0],
                          [1.0, 2.0,5.0,10.0]])
-        
+
         self.failUnless(mesh_dic['vertex_attribute_titles']  ==
                         ['density', 'temp','elevation','stage'],
                         'test_fit_to_mesh_file failed')
-        
+
         #clean up
         os.remove(mesh_file)
-        os.remove(mesh_output_file)        
+        os.remove(mesh_output_file)
         os.remove(point_file)
-        
+
     def test_fit_to_msh_netcdf_fileII(self):
-        from load_mesh.loadASCII import mesh_file_to_mesh_dictionary,export_mesh_file    
+        from load_mesh.loadASCII import mesh_file_to_mesh_dictionary,export_mesh_file
         import tempfile
         import os
-        
+
         # create a .tsh file, no user outline
         mesh_dic = {}
@@ -1173,8 +1173,8 @@
         mesh_dic['segment_tags'] = ['external',
                                                   'external',
-                                                  'external']       
+                                                  'external']
         mesh_file = tempfile.mktemp(".msh")
         export_mesh_file(mesh_file,mesh_dic)
-        
+
         # create an .xya file
         point_file = tempfile.mktemp(".xya")
@@ -1182,10 +1182,10 @@
         fd.write("elevation, stage \n 1.0, 1.0,2.,4 \n 1.0, 3.0,4,8 \n 3.0,1.0,4.,8 \n")
         fd.close()
-        
+
         mesh_output_file = "new_triangle.msh"
         fit_to_mesh_file(mesh_file,
                          point_file,
                          mesh_output_file,
-                         alpha = 0.0)  
+                         alpha = 0.0)
         # load in the .tsh file we just wrote
         mesh_dic = mesh_file_to_mesh_dictionary(mesh_output_file)
@@ -1195,26 +1195,25 @@
                          [1.0, 2.0,5.0, 10.0],
                          [1.0, 2.0,5.0,10.0]])
-        
+
         self.failUnless(mesh_dic['vertex_attribute_titles']  ==
                         ['density', 'temp','elevation','stage'],
                         'test_fit_to_mesh_file failed')
-        
+
         #clean up
         os.remove(mesh_file)
-        os.remove(mesh_output_file)        
+        os.remove(mesh_output_file)
         os.remove(point_file)
-        
+
 #-------------------------------------------------------------
 if __name__ == "__main__":
-    suite = unittest.makeSuite(TestCase,'test')
-
-    #suite = unittest.makeSuite(TestCase,'test_fit_to_msh_netcdf_fileII')
-    #suite = unittest.makeSuite(TestCase,'test_fit_to_mesh_fileII')
+    suite = unittest.makeSuite(Test_Least_Squares,'test')
+
+    #suite = unittest.makeSuite(Test_Least_Squares,'test_fit_to_msh_netcdf_fileII')
+    #suite = unittest.makeSuite(Test_Least_Squares,'test_fit_to_mesh_fileII')
     runner = unittest.TextTestRunner(verbosity=1)
     runner.run(suite)
 
-    
-    
-
-
-
+
+
+
+
